Package org.apache.catalina.storeconfig

## Class WrapperLifecycleSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.WrapperLifecycleSF

- All Implemented Interfaces:
    `IStoreFactory`

      public class WrapperLifecycleSF
      extends StoreFactoryBase

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WrapperLifecycleSF()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `store​(PrintWriter aWriter, int indent, Object aElement)` | Store a server.xml element with attributes and children

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeChildren, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrapperLifecycleSF

          public WrapperLifecycleSF()

  - ### Method Detail

    - #### store

          public void store​(PrintWriter aWriter,
                            int indent,
                            Object aElement)
                     throws Exception

      Description copied from class: `StoreFactoryBase`
      Store a server.xml element with attributes and children
      Specified by:
        `store` in interface `IStoreFactory`
      Overrides:
        `store` in class `StoreFactoryBase`
      Throws:
        `Exception`
      See Also:
        `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`